import SR6BaseItemData from '../base-item-data.mjs';

export default class SR6ContactItemData extends SR6BaseItemData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            rating:   new fields.NumberField({ initial: 1 }),
            loyalty:  new fields.NumberField({ initial: 1 }),
            favors:   new fields.NumberField({ initial: 0 }),
            type:     new fields.StringField({ initial: "" }),
            pronouns: new fields.StringField({ initial: "" })
        };
    }
}
